Vertex tool wrong behavior

2018-12-11 02:53 PM - Nikolai Krawczak

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28594

Description

when creating a new node with topological editing active this happens:

vertex_edit.gif

expected behaviour would be being able to create a new node for both adjacent polygons, which works for me most of the time.

I attached a Project file and gpkg.

Associated revisions

Revision 3769faa8 - 2019-01-30 10:23 AM - Martin Dobias

[vertex tool] Fix vertex addition to polygon's first segment (fixes #20774)

With topo editing mode enabled, addition of extra points to keep the topology

correct wasn't working correctly because for the first segment we were getting

two matches due to duplicated first and last vertex in the ring. The fix

ensures that only one match will be returned for the first duplicated vertex.

Revision 4423caff - 2019-02-01 10:07 AM - Martin Dobias

[vertex tool] Fix vertex addition to polygon's first segment (fixes #20774)

With topo editing mode enabled, addition of extra points to keep the topology

correct wasn't working correctly because for the first segment we were getting

two matches due to duplicated first and last vertex in the ring. The fix

ensures that only one match will be returned for the first duplicated vertex.

(cherry picked from commit 3769faa86b89b14dbde51adc19ff858469ced6f3)

History

#1 - 2018-12-11 03:00 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#2 - 2018-12-13 09:01 PM - Jan Lippmann

i can confirm this issue
#3 - 2019-01-08 08:43 PM - Jan Lippmann

actual master commit:48db864836 is also affected

#4 - 2019-01-09 09:42 AM - Giovanni Manghi

- Operating System deleted (Win 7 64)

- Affected QGIS version changed from 3.4.2 to 3.5(master)

- Subject changed from Vertex Tool odd behavior to Vertex too wrong behavior

#5 - 2019-01-29 02:29 PM - Martin Dobias

- Status changed from Open to In Progress

- Subject changed from Vertex too wrong behavior to Vertex tool wrong behavior

- Assignee set to Martin Dobias

https://github.com/qgis/QGIS/pull/9024

#6 - 2019-01-30 10:22 AM - Martin Dobias

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|3769faa86b89b14dbde51adc19ff858469ced6f3.

#7 - 2019-01-30 11:17 AM - Giovanni Manghi

- Resolution set to fixed/implemented
